class Preferences:
    def __init__(self):
        self.zip = ""
        self.lineup = ""
        self.favorites = []
        self.numberOfChannels = 0
        self.country = 0
        self.favoriteDict = {}
        
    def setZip(self, zip):
        self.zip = zip
    def getZip(self):
        return self.zip
        
    def setCountry(self, country):
        self.country = country
    def getCountry(self):
        return self.country
        
    def setLineup(self,lineup):
        self.lineup = lineup
    def getLineup(self):
        return self.lineup
    
    def setNumOfChannels(self,num):
        self.numberOfChannels = num
    
    def getNumOfChannels(self):
        return self.numberOfChannels
        
    def setFavorite(self,num,name):
        appfav = []
        exists = 0
        if self.favoriteDict.has_key(self.lineup):
            for fav in self.favoriteDict[self.lineup]:
                if fav[0] == num and fav[1] == name:
                    exists = 1
        if exists==1:
            self.removeFavorite(num)
        else:
            fav = []
            appfav.append(num)
            appfav.append(name)
            if not self.favoriteDict.has_key(self.lineup):
                fav.append(appfav)
                self.favoriteDict[self.lineup] = fav
            else:
                self.favoriteDict[self.lineup].append(appfav)
        #print self.favoriteDict
            #self.favorites.append(appfav)
    
    def removeFavorite(self,num):
        if self.favoriteDict.has_key(self.lineup):
            for fav in self.favoriteDict[self.lineup]:
                if fav[0] == num:
                    self.favoriteDict[self.lineup].remove(fav)
    
    def isFavorite(self,num):
        if self.favoriteDict.has_key(self.lineup):
            for fav in self.favoriteDict[self.lineup]:
                if int(fav[0]) == num:
                    return 1
        return 0
        
    def hasFavorites(self):
        if self.favoriteDict.has_key(self.lineup):
            if len(self.favoriteDict[self.lineup]) > 0:
                return 1
        return 0            
    
    def getFavorites(self):
        if self.favoriteDict.has_key(self.lineup):
            return self.favoriteDict[self.lineup]
        return []
    
    def clearFavorites(self):
        if self.favoriteDict.has_key(self.lineup):
            self.favoriteDict[self.lineup] = []
    